Name:           perl-Authen-Libwrap
Version:        0.22
Release:        12.3
%define cpan_name Authen-Libwrap
Summary:        access to Wietse Venema's TCP Wrappers library
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Authen-Libwrap/
Source:         http://www.cpan.org/authors/id/D/DM/DMUEY/%{cpan_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::CBuilder)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::Exception)
%if 0%{?fedora_version} || 0%{?rhel} || 0%{?centos_ver}
BuildRequires:  tcp_wrappers tcp_wrappers-devel
%endif
%if 0%{?suse_version}
BuildRequires:  tcpd tcpd-devel
%endif

%description
The Authen::Libwrap module allows you to access the hosts_ctl() function
from the popular TCP Wrappers security package. This allows validation of
network access from perl programs against the system-wide _hosts.allow_
file.

If any of the parameters to hosts_ctl() are not known (i.e. username due to
lack of an identd server), the constant STRING_UNKNOWN may be passed to the
function.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor optimize="%{optflags}"
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0

%files
%defattr(-,root,root,755)
%doc ChangeLog README
%{_datadir}/man/man3/Authen::Libwrap.3pm.gz
%if 0%{?fedora_version} || 0%{?rhel} || 0%{?centos_ver}
%{_libdir}/perl5/vendor_perl/auto/Authen/Libwrap
%{_libdir}/perl5/vendor_perl/Authen/Libwrap.pm
%endif
%if 0%{?suse_version}
%dir /use/lib/perl5/vendor_perl/*/*/auto/Authen
%dir /use/lib/perl5/vendor_perl/*/*/Authen
/use/lib/perl5/vendor_perl/*/*/auto/Authen/Libwrap
/use/lib/perl5/vendor_perl/*/*/Authen/Libwrap.pm
%endif

%changelog
